Bug 202168 - plplot-devel should require additional packages as dependencies
plplot-devel should require additional packages as dependencies
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: plplot (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-11 06:09 EDT by Sergio Pascual
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.6.1-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-25 12:47:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergio Pascual 2006-08-11 06:09:39 EDT
Description of problem:

I'm trying to compile a program using plplot. As a first step, I run 
$ pkg-config --libs plplotd 

just to know the libs that are needed. The result is:
-lplplotd -lqhull -lcsironn -ldl -lm -lcsirocsa -lz -lfreetype

But I have found that in my system some of these libs do not exist. In
particular libqhull.so and libfreetype.so

I installed plplot-devel through yum and, as these libraries are required to
compile plplot programs, I suppose that yum should install them as dependencies.

The involved packages are: qhull-devel and freetype-devel
The solution is to add:

Requires: qhull-devel
Requires: freetype-devel

in the "%package devel" part of your spec file. Some other subpackages can be
affected as rpm can compute automatically the dependencies for the binaries but
no for the -devel packages.

Version-Release number of selected component (if applicable):
plplot-devel-5.6.1-2

How reproducible:
Always

Steps to Reproduce:
1. 
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Sergio Pascual 2006-08-29 12:05:13 EDT
The same problem appears with plplot-gnome-devel. The package should require
libgnomecanvas-devel and libgnomeprint22-devel

Note You need to log in before you can comment on or make changes to this bug.